PXCLSQ(1)

NAME
pxclsq - clean positions or taxa with too much ambiguous data

SYNOPSIS
pxclsq [OPTIONS]...

DESCRIPTION
Clean alignments by removing positions/taxa with too much ambiguous data. This will take fasta, fastq, phylip, and nexus formats from a file or STDIN. Results are written in fasta format.

OPTIONS

-s, --seqf=FILE
    input sequence file, STDIN otherwise

-p, --prop=DOUBLE
    proportion required to be present, default=0.5

-e, --empty
    remove columns that are completely empty (- or ?)

-m, --min=INT
    the minimum number of good characters required per site - a min of 1 is equivalent to -e above

-t, --taxa
    consider missing data per taxon (default: per site)

-c, --codon
    examine sequences by codon rather than site - requires all sequences be in frame and of correct length

-i, --info
    report counts of missing data and exit - combine with -t to get report by taxon (rather than site) - combine with -c to use codons as units

-v, --verbose
    more verbose output (i.e. if entire seqs are removed)

-o, --outf=FILE
    output fasta file, STOUT otherwise

-h, --help
    display this help and exit

-V, --version
    display version and exit

-C, --citation
    display phyx citation and exit

CITATION
Brown, Joseph W., Joseph F. Walker, and Stephen A. Smith. 2017. Phyx: phylogenetic tools for unix. Bioinformatics 33(12): 1886-1888. https://doi.org/10.1093/bioinformatics/btx063.

AUTHOR
Written by Joseph F. Walker, Joseph W. Brown, Stephen A. Smith (blackrim)

REPORTING BUGS
Report bugs to: <https://github.com/FePhyFoFum/phyx/issues> phyx home page: <https://github.com/FePhyFoFum/phyx>

COPYRIGHT
Copyright © 2015-2024 FePhyFoFum License GPLv3